Bug 2077998 - [4.10] Publish RHEL CoreOS AMIs in AWS ap-southeast-3 region
Summary: [4.10] Publish RHEL CoreOS AMIs in AWS ap-southeast-3 region
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: OpenShift Container Platform
Classification: Red Hat
Component: RHCOS
Version: 4.11
Hardware: Unspecified
OS: Unspecified
unspecified
low
Target Milestone: ---
: 4.10.z
Assignee: Michael Nguyen
QA Contact: HuijingHei
URL:
Whiteboard:
Depends On: 2045771 2077994
Blocks: 2077999
TreeView+ depends on / blocked
 
Reported: 2022-04-22 19:30 UTC by RHCOS Bug Bot
Modified: 2022-05-31 12:40 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: If docs needed, set a value
Doc Text:
Clone Of: 2077994
: 2077999 (view as bug list)
Environment:
Last Closed: 2022-05-31 12:40:03 UTC
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Product Errata RHBA-2022:4754 0 None None None 2022-05-31 12:40:30 UTC

Description RHCOS Bug Bot 2022-04-22 19:30:11 UTC
Backport the fix for bug 2077994 to 4.10.

Comment 1 RHCOS Bug Bot 2022-05-18 00:20:39 UTC
This bug has been reported fixed in a new RHCOS build and is ready for QE verification.  To mark the bug verified, set the Verified field to Tested.  This bug will automatically move to MODIFIED once the fix has landed in a new bootimage.

Comment 2 Michael Nguyen 2022-05-18 00:22:27 UTC
This change has landed in RHCOS 410.84.202205172106-0

Comment 3 Michael Nguyen 2022-05-18 00:26:09 UTC
To pre-verify provision RHCOS in ap-southeast-3 region on AWS with ami-019ef534f03c12bdd

With coreos-assembler you can:

[coreos-assembler]$ kola spawn -d -p aws --aws-type t3.small --aws-ami ami-019ef534f03c12bdd --aws-region ap-southeast-3

Comment 4 HuijingHei 2022-05-19 06:08:59 UTC
Provision RHCOS in ap-southeast-3 works well

[coreos-assembler]$ kola spawn -d -p aws --aws-type t3.small --aws-ami ami-019ef534f03c12bdd --aws-region ap-southeast-3

---
[bound] -bash-4.4$ cat /etc/os-release
NAME="Red Hat Enterprise Linux CoreOS"
VERSION="410.84.202205172106-0"
ID="rhcos"
ID_LIKE="rhel fedora"
VERSION_ID="4.10"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Red Hat Enterprise Linux CoreOS 410.84.202205172106-0 (Ootpa)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8::coreos"
HOME_URL="https://www.redhat.com/"
DOCUMENTATION_URL="https://docs.openshift.com/container-platform/4.10/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="OpenShift Container Platform"
REDHAT_BUGZILLA_PRODUCT_VERSION="4.10"
REDHAT_SUPPORT_PRODUCT="OpenShift Container Platform"
REDHAT_SUPPORT_PRODUCT_VERSION="4.10"
OPENSHIFT_VERSION="4.10"
RHEL_VERSION="8.4"
OSTREE_VERSION='410.84.202205172106-0'
[bound] -bash-4.4$ hostname -I
172.31.43.127 
[bound] -bash-4.4$ rpm-ostree status
State: idle
Deployments:
* ostree://6fbb58850a870991ecc4f0c0ff509e7fc8d20de29919ab790dc8c6d75ed401a1
                   Version: 410.84.202205172106-0 (2022-05-17T21:09:52Z)
[bound] -bash-4.4$ exit
logout

Comment 5 RHCOS Bug Bot 2022-05-24 14:32:25 UTC
The fix for this bug has landed in a bootimage bump, as tracked in bug 2045771 (now in status MODIFIED).  Moving this bug to MODIFIED.

Comment 7 HuijingHei 2022-05-25 06:35:58 UTC
Provision RHCOS in ap-southeast-3 works well with ami-0d4d89e600d4fe37b, result is PASSED

[coreos-assembler]$ kola spawn -d -p aws --aws-type t3.small --aws-ami ami-0d4d89e600d4fe37b --aws-region ap-southeast-3

---
[bound] -bash-4.4$ cat /etc/os-release
NAME="Red Hat Enterprise Linux CoreOS"
VERSION="410.84.202205191234-0"
ID="rhcos"
ID_LIKE="rhel fedora"
VERSION_ID="4.10"
PLATFORM_ID="platform:el8"
PRETTY_NAME="Red Hat Enterprise Linux CoreOS 410.84.202205191234-0 (Ootpa)"
ANSI_COLOR="0;31"
CPE_NAME="cpe:/o:redhat:enterprise_linux:8::coreos"
HOME_URL="https://www.redhat.com/"
DOCUMENTATION_URL="https://docs.openshift.com/container-platform/4.10/"
BUG_REPORT_URL="https://bugzilla.redhat.com/"
REDHAT_BUGZILLA_PRODUCT="OpenShift Container Platform"
REDHAT_BUGZILLA_PRODUCT_VERSION="4.10"
REDHAT_SUPPORT_PRODUCT="OpenShift Container Platform"
REDHAT_SUPPORT_PRODUCT_VERSION="4.10"
OPENSHIFT_VERSION="4.10"
RHEL_VERSION="8.4"
OSTREE_VERSION='410.84.202205191234-0'
[bound] -bash-4.4$ hostname -I
172.31.28.203 
[bound] -bash-4.4$ rpm-ostree status
State: idle
Deployments:
* ostree://5d0c3f8af7d3cdb694d21a53041c692aea6ef7a1b620aa637c697ec7f37b029b
                   Version: 410.84.202205191234-0 (2022-05-19T12:37:38Z)
[bound] -bash-4.4$ exit
logout

Comment 10 errata-xmlrpc 2022-05-31 12:40:03 UTC
Since the problem described in this bug report should be
resolved in a recent advisory, it has been closed with a
resolution of ERRATA.

For information on the advisory (OpenShift Container Platform 4.10.16 bug fix update), and where to find the updated
files, follow the link below.

If the solution does not work for you, open a new bug report.

https://access.redhat.com/errata/RHBA-2022:4754


Note You need to log in before you can comment on or make changes to this bug.